Issue 119624

Summary: [From Symphony]Group objects in table can not be placed correctly
Product: Writer Reporter: louqle <louqingle>
Component: open-importAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Normal    
Priority: P3 CC: issues, orw, zjchencdl
Version: 3.4.0Keywords: ms_interoperability
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
group
none
Group shape
none
patch to solve (1)
orw: review+
patch to solve (2)
orw: review+
add Word 2010 version case for patch to solve (1) none

Description louqle 2012-05-31 07:29:32 UTC
Created attachment 77846 [details]
group

open the sample file in aoo 3.4, check the grouped objects, the position incorrect
Comment 1 zongdj 2012-06-05 09:27:22 UTC
Created attachment 78014 [details]
Group shape

This sample group line position is also not right.
Comment 2 zjchen 2012-06-07 14:12:26 UTC
I am looking into this defect.
Comment 3 Oliver-Rainer Wittmann 2012-06-08 08:18:40 UTC
I have identified three defect regarding the import and layout of the given Microsoft Word document:
(1) horizontal position of the objects inside the tables is wrong.
(2) vertical position of the objects inside the table is wrong.
(3) the grid layout specified for the page style is applied in AOO also at the paragraphs inside the table. In Microsoft Word 2003 and 2010 the paragraphs inside the table are not layout regarding the given grid.

I have a solution for (1) and (2) and will apply patches.
Comment 4 Oliver-Rainer Wittmann 2012-06-08 08:20:13 UTC
Created attachment 78191 [details]
patch to solve (1)
Comment 5 Oliver-Rainer Wittmann 2012-06-08 08:21:16 UTC
Created attachment 78192 [details]
patch to solve (2)
Comment 6 Oliver-Rainer Wittmann 2012-06-08 08:28:05 UTC
-> zjchen: as you volunteered to take care of this issue I am asking, if you could review my patches for (1) and (2). Thx in advance.
Comment 7 zjchen 2012-06-11 04:43:44 UTC
Created attachment 78225 [details]
add Word 2010 version case for patch to solve (1)

-> Oliver-Rainer Wittmann : The patches look good, if you don't mind I made slightly change, just added one case for identify the MS Word 2012 version in <SwWW8ImplReader::IsObjectLayoutInTableCell(..)>. 

             case 0x8000: // version 12 aka Microsoft Word 2007
+            case 0xC000: // version 14 aka Microsoft Word 2010
             {
Comment 8 Oliver-Rainer Wittmann 2012-06-11 09:37:55 UTC
-> zjchen: continue with your change - adding Microsoft Office 2010 version is a very good idea here.
Comment 9 zjchen 2012-06-12 08:54:46 UTC
-> Oliver-Rainer Wittmann : The patches for (1) and (2) is OK to me now. Noticed that you assigned this issue to me, however I do not have the permission to commit patches. Would you apply the patches by yourself or other committer? Looking forward to see your solution update in AOO repository to fix related issue:)
Comment 10 Oliver-Rainer Wittmann 2012-06-12 09:21:04 UTC
-> zjchen:
I am sorry. I assigned this issue to you, because I thought that you would work on a solution. May be I have misinterpreted your statement from comment 2.

Yes, I can and will apply the patches. Thanks for the review and the improvement regarding the version number for Microsoft Office 2010.

Thus, will you work on a solution for problem (3)?
If yes, you can attach a corresponding patch. Then I can commit this patch.
If not, I can take over this issue.
Comment 11 Oliver-Rainer Wittmann 2012-06-12 09:32:41 UTC
commited patch to solve problem (1) into trunk - changed file:
/sw/source/filter/ww8/ww8graf.cxx, revision 1349210
Comment 12 Oliver-Rainer Wittmann 2012-06-12 09:37:00 UTC
commited patch to solve problem (2) into trunk - changed file:
/sw/source/core/layout/flowfrm.cxx, revision 1349212
Comment 13 zjchen 2012-06-12 10:21:24 UTC
-> Oliver-Rainer Wittmann : 

I investigated problem (3) but have no solution currently.
So it is great if you would like to take over this issue:)

Sorry for my misleading statement. In comment 2, I just want to express the willing to look at this problem and find a solution.
However I find some code are not easy to understand for me, so I ask you for help.  And You kindly work out the solution. Thx again:)
Comment 14 Oliver-Rainer Wittmann 2012-06-12 10:37:57 UTC
-> zjchen: Ok, no problem. I am taking over.
May be you can review my patch, if I have found a solution.
Comment 15 Oliver-Rainer Wittmann 2012-06-21 14:36:18 UTC
Comment on attachment 78191 [details]
patch to solve (1)

marking review as done and accepted by zjchen
Comment 16 Oliver-Rainer Wittmann 2012-06-21 14:36:31 UTC
Comment on attachment 78192 [details]
patch to solve (2)

marking review as done and accepted by zjchen
Comment 17 Marcus 2017-05-20 11:28:03 UTC
Reset assigne to the default "issues@openoffice.apache.org".